Skip to main content

Get Wallet

GET /v1/wallets/{account_id}/{wallet_id}

Retrieves detailed wallet information including all assigned networks with native currency and token balances.

Headers

HeaderRequiredValue
AuthorizationYesBearer <token>
X-Target-ServerYeswallets

Path Parameters

ParameterTypeRequiredDescription
account_idstring (UUID)YesAccount ID
wallet_idstring (UUID)YesWallet ID

Response

200 OK

{
"id": "990e8400-e29b-41d4-a716-446655440000",
"name": "My Hot Wallet",
"account_id": "660e8400-e29b-41d4-a716-446655440000",
"chain_id": "550e8400-e29b-41d4-a716-446655440000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD18",
"custody_wallet_id": "aae8400-e29b-41d4-a716-446655440000",
"type": "hot",
"status": 1,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"deleted_at": null,
"networks": [
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"name": "Ethereum Mainnet",
"network_id": 1,
"chain_id": "550e8400-e29b-41d4-a716-446655440000",
"native_currency": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "ETH",
"symbol": "ETH",
"decimals": 18,
"address": null,
"logo_url": null,
"balance": "1.500000000000000000"
},
"currencies": [
{
"id": "880e8400-e29b-41d4-a716-446655440000",
"name": "USD Coin",
"symbol": "USDC",
"decimals": 6,
"address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"logo_url": "https://example.com/usdc.png",
"balance": "1000.000000"
}
]
}
]
}

Response Fields (Network Detail)

FieldTypeDescription
native_currencyobjectNative currency balance (e.g., ETH)
currenciesarrayToken currency balances (e.g., USDC, USDT)

Response Fields (Currency Balance)

FieldTypeDescription
idstring (UUID)Currency ID
namestringCurrency name
symbolstringCurrency symbol
decimalsintegerDecimal places
addressstring | nullToken contract address (null for native)
logo_urlstring | nullLogo URL
balancestring | nullCurrent balance as a decimal string

401 Unauthorized

404 Not Found

Wallet not found.

500 Internal Server Error